import BN from 'bn.js';
import { FillEvent, LiquidateEvent, PerpMarketCache, PerpMarketInfo, PerpOpenOrders } from '.';
import { I80F48 } from './fixednum';
export default class PerpAccount {
    basePosition: BN;
    quotePosition: I80F48;
    longSettledFunding: I80F48;
    shortSettledFunding: I80F48;
    openOrders: PerpOpenOrders;
    mngoAccrued: BN;
    constructor(decoded: any);
    getAverageEntryPrice(events: (FillEvent | LiquidateEvent)[]): void;
    getPnl(perpMarketInfo: PerpMarketInfo, price: I80F48): I80F48;
    getUnsettledFunding(perpMarketCache: PerpMarketCache): I80F48;
    /**
     * Return the quote position after adjusting for unsettled funding
     */
    getQuotePosition(perpMarketCache: PerpMarketCache): I80F48;
    simPositionHealth(perpMarketInfo: PerpMarketInfo, price: I80F48, assetWeight: I80F48, liabWeight: I80F48, baseChange: BN): I80F48;
    getHealth(perpMarketInfo: PerpMarketInfo, price: I80F48, assetWeight: I80F48, liabWeight: I80F48, longFunding: I80F48, shortFunding: I80F48): I80F48;
    getLiabsVal(perpMarketInfo: PerpMarketInfo, price: I80F48, shortFunding: I80F48, longFunding: I80F48): I80F48;
}
//# sourceMappingURL=PerpAccount.d.ts.map